Live Streaming

Full Version: RVC 5.9 Flash Builder
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Using Flash builder 4 and SDK 4.5 When I Export release build I get the following errors:

See details for more information.
Encountered errors or warnings while building project JabberCam.mxml.
JabberCam.as: 'getStyleDeclaration' has been deprecated since 4.0. Please use 'IStyleManager2.getStyleDeclaration on a style manager instance'.
JabberCam.as: 'getStyleDeclaration' has been deprecated since 4.0. Please use 'IStyleManager2.getStyleDeclaration on a style manager instance'.
JabberCam.as: 'getColorName' has been deprecated since 4.0. Please use 'IStyleManager2.getColorName on a style manager instance'.
JabberCam.as: 'getColorName' has been deprecated since 4.0. Please use 'IStyleManager2.getColorName on a style manager instance'.
JabberCam.as: 'getStyleDeclaration' has been deprecated since 4.0. Please use 'IStyleManager2.getStyleDeclaration on a style manager instance'.
JabberCam.as: 'getStyleDeclaration' has been deprecated since 4.0. Please use 'IStyleManager2.getStyleDeclaration on a style manager instance'.
JabberCam.as: 'getColorName' has been deprecated since 4.0. Please use 'IStyleManager2.getColorName on a style manager instance'.
JabberCam.as: 'getColorName' has been deprecated since 4.0. Please use 'IStyleManager2.getColorName on a style manager instance'.
JabberCam.as: 'getStyleDeclaration' has been deprecated since 4.0. Please use 'IStyleManager2.getStyleDeclaration on a style manager instance'.
JabberCam.as: 'getColorName' has been deprecated since 4.0. Please use 'IStyleManager2.getColorName on a style manager instance'.
JabberCam.mxml: Data binding will not be able to detect assignments to "length".
JabberCam.mxml: Data binding will not be able to detect assignments to "length".
JabberCam.mxml: Data binding will not be able to detect assignments to "length".
JabberCam.mxml: Data binding will not be able to detect assignments to "length".
StartupAlert.mxml: 'application' has been deprecated since 4.0. Please use 'FlexGlobals.topLevelApplication'.
StartupAlert.mxml: 'application' has been deprecated since 4.0. Please use 'FlexGlobals.topLevelApplication'.
StartupAlert.mxml: 'application' has been deprecated since 4.0. Please use 'FlexGlobals.topLevelApplication'.
StartupAlert.mxml: 'application' has been deprecated since 4.0. Please use 'FlexGlobals.topLevelApplication'.
StartupAlert.mxml: 'application' has been deprecated since 4.0. Please use 'FlexGlobals.topLevelApplication'.
These are warnings due to changes between SDK 3.5+ and SDK 4.5, ignore them.
I also encountered the same problem.
How to ignore?
Just compile the build, while ignoring the messages. Check the /bin-release folder, the compiled .swf is there while you still receive the warnings.
You may also download SDK 3.6 and use it instead of 4.5.

Flex 3 SDK Downloads
Installing Flex 3.6 SDK on Flash Builder 4.5
Hi - Does the most recent version include the sourcecode and are there errors?

I just purchased the latest RVC and three separate developers are telling me a) its not the source and b) there are issues...example -

i.e."However I still think it's not actual copy of sources (or may be not full).
Please see screenshot from my Builder attached.
Two errors in the bottom and settings-screen just other instead of settings-screen in application on your site here:
http://www.jabbercam.com/random-video-chat.html"

He then included a screen shot outlining some 1046 - type was not found or not a compile time constant - for Jabbercam.xmxl and Jabbercam_v.mxml

Any ideas?
The developers are also telling me the 5.9 does not include the Flash and the source code - is that correct or are they crazy? Or are they missing something?

Thanks for any help!
All RVC packages come with the source code and if you see the error above, you have the source code loaded into your Flash Builder.
The 1046 "Type was not found or was not a compile-time constant: MapEvent." error is caused by the missing Google Maps library.

Here is the solution, described in the RVC basic editing section (attention to nr. 8): http://www.videosoftware.pro/forum/THREAD-Installing-and-editing-RVC-5-PART2-step-by-step-description?highlight=1046
Here is the latest demo RVC 5.9.319.09 the settings panel may be different form 5.8 check if you have an "Advanced settings" button, I have everything in 5.9.